> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get billing balance



## OpenAPI

````yaml api-reference/openapi.account.json GET /billing/balance
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /billing/balance:
    get:
      tags:
        - billing
      summary: Get billing balance
      operationId: getBillingBalance
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingBalanceResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    BillingBalanceResponse:
      additionalProperties: false
      properties:
        billing_cycle_start:
          type: string
        credits_limit:
          format: int64
          type: integer
        credits_remaining:
          format: double
          type: number
        credits_used:
          format: double
          type: number
        recent_activity:
          items:
            $ref: '#/components/schemas/BillingActivityEntry'
          type: array
        tier:
          enum:
            - free
            - starter
            - pro
            - max
          type: string
        tier_label:
          type: string
        user_id:
          type: string
        warm_slots:
          format: int64
          type: integer
      required:
        - user_id
        - tier
        - tier_label
        - credits_limit
        - credits_used
        - credits_remaining
        - billing_cycle_start
        - warm_slots
        - recent_activity
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    BillingActivityEntry:
      additionalProperties: false
      properties:
        active_seconds:
          format: int64
          type: integer
        created_at:
          type: string
        credits:
          format: double
          type: number
        id:
          type: string
        reason:
          type: string
        task_id:
          type: string
        vm_size:
          type: string
        workspace_run_id:
          type: string
      required:
        - id
        - workspace_run_id
        - credits
        - vm_size
        - active_seconds
        - reason
        - created_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````